
Redmine - Defect #37539

Issue index filtering with custom field became unusable with Redmine 4.2.7

2022-08-02 23:45 - Onur Küçük

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.2.7

Description

When running an issue query with a custom field used on filtering, the query result that used to take about 72ms now takes

85652ms, rendering the page unusable on Redmine 4.2.7.

Reverting this change https://github.com/redmine/redmine/commit/00c1e3528f09a1b83ef7bdf0f3d231de4dff9450 or even only

reverting the issue_custom_field.rb change (removing issue visibility condition) makes the performance like 4.2.6. See the attached

logs for details. Note that the custom field 105 in this example is a boolean issue custom field, but this issue does not seem to be

related to the type of the custom field.

sh: hg: command not found

sh: bzr: command not found

Environment:

  Redmine version                4.2.7.stable

  Ruby version                   2.7.6-p219 (2022-04-12) [x86_64-linux]

  Rails version                  5.2.8

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.14.1

  Cvs                            1.12.13

  Git                            2.35.3

  Filesystem                     

Redmine plugins:

  no plugin installed

 Using Postgresql 14.4 but note that this is reproducable on different environments with (minor) different versions of Postgresql Ruby

etc.

Related issues:

Is duplicate of Redmine - Defect #37268: Performance problem with Redmine 4.2... Closed

History

#1 - 2022-08-03 01:41 - Go MAEDA

- Is duplicate of Defect #37268: Performance problem with Redmine 4.2.7 and 5.0.2 added

#2 - 2022-08-03 01:41 - Go MAEDA

- Resolution set to Duplicate

I am closing this issue because the problem has already been reported as #37268.

#3 - 2022-09-26 23:47 - Marius BĂLTEANU

- Status changed from New to Closed

Fix merged to stable branches and the new releases will be published this weekend.

Files
https://github.com/redmine/redmine/commit/00c1e3528f09a1b83ef7bdf0f3d231de4dff9450
https://www.redmine.org/issues/37268
